Skip to content

Retrieves details of a reusable link
deprecated

Request

POST {{baseURL}}/pay-int-api/quick-payments/reusable/{{quickPaymentId}}

This endpoint is deprecated. Quick Payments will be removed at the end of December 2026.

To retrieve a payment link, use GET /v2/payment-links/{{paymentLinkId}} instead.

This endpoint retrieves details of a specified reusable payment.

The link may be valid or expired.

See Also:
To create a reusable payment link, see POST /pay-int-api/quick-payments/reusable.
To list reusable payment links, see GET /pay-int-api/quick-payments/reusable.
To activate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/activate.
To send a payment link by SMS, see POST /pay-int-api/quick-payments/{quickPaymentId}/send-sms-notification.

Security
Bearer
Path
quickPaymentIdstring, (uuid)required

Specifies the payment link identifier.

This value is returned from either:

Example:0423617a-2004-4516-935d-e5ad4bbbe93e
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
curl -i -X GET \
  https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/reusable/0423617a-2004-4516-935d-e5ad4bbbe93e \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: 1.0'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Indicates the payment reference link identifier, also known as the quickPaymentId.

Example: d9d78a43-bcb6-58d5-c21f-234197b54186

Example:"d9d78a43-bcb6-58d5-c21f-234197b54186"
amountnumber, (double), decimal places <= 2

Indicates the amount (in USD) of the reusable payment.

Example: 45.99 (for $45.99)

Example:45.99
statusinteger, (int32)

Payment link status.

Possible values:

Status IDStatusDescription
1ActiveThe link is active and can be used.
2InactiveThe link is inactive and cannot be used.
3ExpiredThe link is inactive by timing out.
4CompletedThe link is inactive by having been used successfully.
shortUrlstring or null

Indicates a shortened version of the URL to the invoice's public payment page.

These are generated by Flute and are the hosted page the customer opens to pay. This is the compact form. It is better suited for SMS messages, printed materials, anywhere character count or a tidy appearance matters.

Example: https://pay.flute.example.com/qp/d9d78a43

Example:"https://pay.flute.example.com/qp/d9d78a43"
totalTransactionsAmountnumber, (double)

Indicates the total amount of transactions made using this reusable payment link.

Example: 250.00

Example:250
totalTransactionsCountinteger, (int32)

Indicates the total number of transactions made using this reusable payment link.

Example: 5

Example:5
createdOnstring, (date-time)

Indicates the date-time (in an ISO 8601 date-time UTC format) when the reusable quick payment was created.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
Response
{ "id": "d9d78a43-bcb6-58d5-c21f-234197b54186", "amount": 45.99, "status": 0, "shortUrl": "https://pay.flute.example.com/qp/d9d78a43", "totalTransactionsAmount": 250, "totalTransactionsCount": 5, "createdOn": "2026-02-19T20:24:52.934Z" }